GNU bug report logs - #19370
LT 2.4.4 regression (vs. 2.4.2)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>; dated Sat, 13 Dec 2014 18:01:01 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 16 Jan 2015 12:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 16 07:18:48 2015
Received: from localhost ([127.0.0.1]:58535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YC5rT-0000Lh-Qv
	for submit <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:18:48 -0500
Received: from mx1.redhat.com ([209.132.183.28]:56605)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rP-0000LR-VZ
 for 19370 <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:18:45 -0500
Received: from int-mx09.intmail.prod.int.phx2.redhat.com
 (int-mx09.intmail.prod.int.phx2.redhat.com [10.5.11.22])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id t0GCIfvj026152
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 16 Jan 2015 07:18:41 -0500
Received: from nb.usersys.redhat.com (ovpn-116-46.ams2.redhat.com
 [10.36.116.46])
 by int-mx09.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 t0GCIbUT030359
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO);
 Fri, 16 Jan 2015 07:18:39 -0500
From: Pavel Raiskup <praiskup@HIDDEN>
To: bug-libtool@HIDDEN
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Date: Fri, 16 Jan 2015 13:18:36 +0100
Message-ID: <71078431.97Xl6LBA79@HIDDEN>
User-Agent: KMail/4.14.3 (Linux/3.17.8-300.fc21.x86_64; KDE/4.14.3; x86_64; ; )
In-Reply-To: <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.22
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 19370
Cc: "Gary V. Vaughan" <gary@HIDDEN>,
 "Jeff Squyres \(jsquyres\)" <jsquyres@HIDDEN>,
 "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Gary, quite long, sorry for that,

On Monday 22 of December 2014 21:22:01 Gary V. Vaughan wrote:
> tags 19370 notabug
> close 19730
>
> On Dec 20, 2014, at 11:18 AM, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> wrote:
> > Hopefully that's enough to get you going in the right direction.
> 
> Indeed it is.  And the problem is that autoreconf, as called from the
> autogen.sh in the tarball, still runs the tools in the wrong order.
> Autoreconf stupidly runs aclocal first, and then calls libtoolize which
> adds more m4 files to AC_CONFIG_MACRO_DIR, and that in turn causes
> aclocal.m4 to be out of date (because it needs to be regenerated to pick
> up the local versions of the libtoolize added m4 files added to
> ../config/ after it was first generated).

actually, (at least modern enough) autoreconf runs the aclocal twice.
Once before libtoolize call (do detect whether it should call the
libtoolize tool at all) and second time [1] after libtoolize to
incorporate the macros.

I'd like to say in advance that IMO this should be fixed in libtoolize,
somehow, reasoning follows.

- autoreconf is really generally believed to be the "tool #1" for
  regenerating GNU buildsystem .. if we don't take the 'gnulib' or others
  into account of course;  then however bootstrap comes and autoreconf
  -vfi should still be OK

- thus either libtool or autoreconf should be fixed, ..

- when libltdl is included into project as 'convenience' library, it is
  treated like "subproject".  Then running autoreconf from project's
  $(top_srcdir) treats subprojects independently by recursing down into
  subdirectory (in our case libltdl) and autoreconfing there.

  The child autoreconf does not expect that something defined in parent
  directory will touch subdirectories after successful autoreconf.

  When parent autoreconf finished with autoreconfing of subdirectory, it
  continues in cwd - and that includes running libtoolize; _however_, this
  second run of libtoolize from top-level overwrites the _common_ macros.
  Now, the macros are more recent than the "subdirectory thinks".

  After that ^^^, the aclocal tool is run in top-level directory - but it
  has no idea about recursing down into (otherwise independent)
  subdirectory.  So everything happens as expected, two separate
  directories were autoreconfed independently.

> The bootstrap script in the libtool source tree fixes this (and many
> other problems with the autogen.sh/autoreconf approach), so if you care
> to write a bootstrap.conf (by copying and hacking nearly everything out
> of libtool-2.4.4/bootstrap.conf), things are then created in the right
> order and the bug disappears.
> 
> Alternatively, you can amend your autogen.sh to something like this:
> 
>   libtoolize --install --copy --ltdl
>   LIBTOOLIZE=true autoreconf -fvi

Yes, this work-arounds that.  Thanks!

> If it worked for you in 2.4.2 in that order, then it was just a lucky
> combination of an empty local directory and installed versions of the
> macro files in the right place for aclocal.m4 to be valid on the initial
> too-early run.

Hmm, I think sharing the macros with top-level is clear trigger here.

> In your original report, however, you said:
> 
> "The problem appears to be that make is checking for ../m4/libtool.m4
> file as a dependency.  This file file -- and the entire ../m4 directory,
> for that matter -- does not exist.  So make decides to fire the "run the
> aclocal" rule."
>
> ...which seems odd to me, because for a subproject libltdl, the parent
> AC_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be merged
> in.  Did you mean to say "../config/libtool.m4" above?  If that
> substitution really isn't happening, then you've found a different bug -
> but I can't reproduce that one with 2.4.3, 2.4.4 nor current master.

Reproduced.  I'll try to make automatized reproducer and post later
possibly.

To make it clear:  The top-level libtoolize re-initializes the
sub-directory macros without runing autoreconf.  Makefile.in _is already_
generated (distributed via libtool) and put on place.  The Makefile.in
distributed with libtool contains:

  am__aclocal_m4_deps = $(top_srcdir)/../m4/libtool.m4 \
  >-------$(top_srcdir)/../m4/ltargz.m4 $(top_srcdir)/../m4/ltdl.m4 \
  >-------$(top_srcdir)/../m4/ltoptions.m4 \
  >-------$(top_srcdir)/../m4/ltsugar.m4 \
  >-------$(top_srcdir)/../m4/ltversion.m4 \
  >-------$(top_srcdir)/../m4/lt~obsolete.m4 $(top_srcdir)/configure.ac

Without regenerating Makefile.in, bad things happen if user has
non-default AC_CONFIG_MACRO_DIR.  Also, proposed fix [2] is kind of
related.

-------

For the solution, I was thinking about something like detecting whether
libtoolize is run from $(srcdir) or not.  Something like:

  --- a/libtoolize.in
  +++ b/libtoolize.in
  @@ -898,6 +898,8 @@ func_install_pkgltdl_files ()
       $require_ltdl_dir
       $require_ltdl_mode

  +    test '.' = "$ltdl_dir" || return
  +
       # Remove any lingering files that my have been installed by some
       # previous libtoolize release:
       $opt_force && for file in $all_pkgltdl_files; do

.. or turning maintainer mode on in libltdl?  Documenting autoreconf-ing by
hand in subdirectory is also an option (after top-dir is done) but that is
counter-intuitive without 'autoreconf --no-recursive'.

That all because it seems to me that hacking this in autoreconf is (a) imo
too difficult and (b) too late as libtool-2.4.4 is out.

[1] http://git.savannah.gnu.org/cgit/autoconf.git/tree/bin/autoreconf.in?id=7b13e39a112309786ebb2fdb76e027b7eaa4f2f5#n486
[2] http://news.gmane.org/gmane.comp.gnu.libtool.patches

Pavel





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2015 12:19:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 16 07:19:01 2015
Received: from localhost ([127.0.0.1]:58538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YC5rg-0000MA-Mz
	for submit <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:19:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35411)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <praiskup@HIDDEN>) id 1YC5re-0000Lw-N6
 for submit <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:18:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rW-0007Se-3j
 for submit <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:18:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.5 required=5.0 tests=BAYES_50,URIBL_BLACK
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52485)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rW-0007Sa-03
 for submit <at> debbugs.gnu.org; Fri, 16 Jan 2015 07:18:50 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37133)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rU-00005D-97
 for bug-libtool@HIDDEN; Fri, 16 Jan 2015 07:18:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rS-0007SM-PA
 for bug-libtool@HIDDEN; Fri, 16 Jan 2015 07:18:48 -0500
Received: from mx1.redhat.com ([209.132.183.28]:40981)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YC5rS-0007SI-Hr
 for bug-libtool@HIDDEN; Fri, 16 Jan 2015 07:18:46 -0500
Received: from int-mx09.intmail.prod.int.phx2.redhat.com
 (int-mx09.intmail.prod.int.phx2.redhat.com [10.5.11.22])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id t0GCIfvj026152
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 16 Jan 2015 07:18:41 -0500
Received: from nb.usersys.redhat.com (ovpn-116-46.ams2.redhat.com
 [10.36.116.46])
 by int-mx09.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 t0GCIbUT030359
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NO);
 Fri, 16 Jan 2015 07:18:39 -0500
From: Pavel Raiskup <praiskup@HIDDEN>
To: bug-libtool@HIDDEN
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Date: Fri, 16 Jan 2015 13:18:36 +0100
Message-ID: <71078431.97Xl6LBA79@HIDDEN>
User-Agent: KMail/4.14.3 (Linux/3.17.8-300.fc21.x86_64; KDE/4.14.3; x86_64; ; )
In-Reply-To: <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.22
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: submit
Cc: "Gary V. Vaughan" <gary@HIDDEN>,
 "Jeff Squyres \(jsquyres\)" <jsquyres@HIDDEN>,
 "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Gary, quite long, sorry for that,

On Monday 22 of December 2014 21:22:01 Gary V. Vaughan wrote:
> tags 19370 notabug
> close 19730
>
> On Dec 20, 2014, at 11:18 AM, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> wrote:
> > Hopefully that's enough to get you going in the right direction.
> 
> Indeed it is.  And the problem is that autoreconf, as called from the
> autogen.sh in the tarball, still runs the tools in the wrong order.
> Autoreconf stupidly runs aclocal first, and then calls libtoolize which
> adds more m4 files to AC_CONFIG_MACRO_DIR, and that in turn causes
> aclocal.m4 to be out of date (because it needs to be regenerated to pick
> up the local versions of the libtoolize added m4 files added to
> ../config/ after it was first generated).

actually, (at least modern enough) autoreconf runs the aclocal twice.
Once before libtoolize call (do detect whether it should call the
libtoolize tool at all) and second time [1] after libtoolize to
incorporate the macros.

I'd like to say in advance that IMO this should be fixed in libtoolize,
somehow, reasoning follows.

- autoreconf is really generally believed to be the "tool #1" for
  regenerating GNU buildsystem .. if we don't take the 'gnulib' or others
  into account of course;  then however bootstrap comes and autoreconf
  -vfi should still be OK

- thus either libtool or autoreconf should be fixed, ..

- when libltdl is included into project as 'convenience' library, it is
  treated like "subproject".  Then running autoreconf from project's
  $(top_srcdir) treats subprojects independently by recursing down into
  subdirectory (in our case libltdl) and autoreconfing there.

  The child autoreconf does not expect that something defined in parent
  directory will touch subdirectories after successful autoreconf.

  When parent autoreconf finished with autoreconfing of subdirectory, it
  continues in cwd - and that includes running libtoolize; _however_, this
  second run of libtoolize from top-level overwrites the _common_ macros.
  Now, the macros are more recent than the "subdirectory thinks".

  After that ^^^, the aclocal tool is run in top-level directory - but it
  has no idea about recursing down into (otherwise independent)
  subdirectory.  So everything happens as expected, two separate
  directories were autoreconfed independently.

> The bootstrap script in the libtool source tree fixes this (and many
> other problems with the autogen.sh/autoreconf approach), so if you care
> to write a bootstrap.conf (by copying and hacking nearly everything out
> of libtool-2.4.4/bootstrap.conf), things are then created in the right
> order and the bug disappears.
> 
> Alternatively, you can amend your autogen.sh to something like this:
> 
>   libtoolize --install --copy --ltdl
>   LIBTOOLIZE=true autoreconf -fvi

Yes, this work-arounds that.  Thanks!

> If it worked for you in 2.4.2 in that order, then it was just a lucky
> combination of an empty local directory and installed versions of the
> macro files in the right place for aclocal.m4 to be valid on the initial
> too-early run.

Hmm, I think sharing the macros with top-level is clear trigger here.

> In your original report, however, you said:
> 
> "The problem appears to be that make is checking for ../m4/libtool.m4
> file as a dependency.  This file file -- and the entire ../m4 directory,
> for that matter -- does not exist.  So make decides to fire the "run the
> aclocal" rule."
>
> ...which seems odd to me, because for a subproject libltdl, the parent
> AC_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be merged
> in.  Did you mean to say "../config/libtool.m4" above?  If that
> substitution really isn't happening, then you've found a different bug -
> but I can't reproduce that one with 2.4.3, 2.4.4 nor current master.

Reproduced.  I'll try to make automatized reproducer and post later
possibly.

To make it clear:  The top-level libtoolize re-initializes the
sub-directory macros without runing autoreconf.  Makefile.in _is already_
generated (distributed via libtool) and put on place.  The Makefile.in
distributed with libtool contains:

  am__aclocal_m4_deps = $(top_srcdir)/../m4/libtool.m4 \
  >-------$(top_srcdir)/../m4/ltargz.m4 $(top_srcdir)/../m4/ltdl.m4 \
  >-------$(top_srcdir)/../m4/ltoptions.m4 \
  >-------$(top_srcdir)/../m4/ltsugar.m4 \
  >-------$(top_srcdir)/../m4/ltversion.m4 \
  >-------$(top_srcdir)/../m4/lt~obsolete.m4 $(top_srcdir)/configure.ac

Without regenerating Makefile.in, bad things happen if user has
non-default AC_CONFIG_MACRO_DIR.  Also, proposed fix [2] is kind of
related.

-------

For the solution, I was thinking about something like detecting whether
libtoolize is run from $(srcdir) or not.  Something like:

  --- a/libtoolize.in
  +++ b/libtoolize.in
  @@ -898,6 +898,8 @@ func_install_pkgltdl_files ()
       $require_ltdl_dir
       $require_ltdl_mode

  +    test '.' = "$ltdl_dir" || return
  +
       # Remove any lingering files that my have been installed by some
       # previous libtoolize release:
       $opt_force && for file in $all_pkgltdl_files; do

.. or turning maintainer mode on in libltdl?  Documenting autoreconf-ing by
hand in subdirectory is also an option (after top-dir is done) but that is
counter-intuitive without 'autoreconf --no-recursive'.

That all because it seems to me that hacking this in autoreconf is (a) imo
too difficult and (b) too late as libtool-2.4.4 is out.

[1] http://git.savannah.gnu.org/cgit/autoconf.git/tree/bin/autoreconf.in?id=7b13e39a112309786ebb2fdb76e027b7eaa4f2f5#n486
[2] http://news.gmane.org/gmane.comp.gnu.libtool.patches

Pavel





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 6 Jan 2015 17:34:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 06 12:34:03 2015
Received: from localhost ([127.0.0.1]:38860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8Y15-0000h3-AB
	for submit <at> debbugs.gnu.org; Tue, 06 Jan 2015 12:34:03 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:58320
 helo=homiemail-a19.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y8Y13-0000ge-FI
 for 19370 <at> debbugs.gnu.org; Tue, 06 Jan 2015 12:34:02 -0500
Received: from homiemail-a19.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a19.g.dreamhost.com (Postfix) with ESMTP id 754BD604069;
 Tue,  6 Jan 2015 09:34:00 -0800 (PST)
Received: from [192.168.1.4] (98.141.90.146.dyn.plus.net [146.90.141.98])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a19.g.dreamhost.com (Postfix) with ESMTPSA id D2255604061;
 Tue,  6 Jan 2015 09:33:59 -0800 (PST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.1 \(1993\))
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <E8F893D2-4D64-4191-8D1E-CF91E55844C8@HIDDEN>
Date: Tue, 6 Jan 2015 17:33:57 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <B152E1EB-3BBC-428D-A457-6DDD6C02DE86@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,
 > <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
 <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
 <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
 <5E4017AA-BDB2-4D51-92C3-0ACAD5A61BFC@HIDDEN>
 <2F970EEE-E65C-4E95-96C9-2378EE348FD2@HIDDEN>
 <E8F893D2-4D64-4191-8D1E-CF91E55844C8@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Mailer: Apple Mail (2.1993)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Jeff,

On Jan 6, 2015, at 4:57 PM, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> =
wrote:
>=20
> On Jan 6, 2015, at 7:06 AM, Gary V. Vaughan <gary@HIDDEN> wrote:
>=20
>>> Is this something that needs to be reported to the Autoconf devs, or =
is this already a known issue?
>>=20
>> I don't really follow Autoconf development these days, but there's =
certainly no harm in reporting the issue upstream.  Worst case, it'll be =
marked as a duplicate and count as an upvote on what needs fixing next.
>=20
> Ok.
>=20
> Sadly, however, your workaround was good enough for my toy example =
that I submitted, but it did not fix the issue in the Open MPI project =
(i.e., I run libtoolize .../LIBTOOLIZE=3Dtrue autoreconf ..., but =
aclocal still decides to run in the libltdl directory, and Badness =
Ensues).
>=20
> I'll have to investigate a little deeper and see what the difference =
is between my toy project and what Open MPI is doing.

Even if you don't plan to adopt it, it might be instructive to write a =
bootstrap.conf for Open MPI and run my bootstrap in verbose mode to see =
what tools it runs and in what order, and whether that fixes the =
underlying issue.

It certainly looks like a dependency issue between the generated files, =
which may come from any of the autotools :-(

HTH,
--=20
Gary V. Vaughan (gary AT gnu DOT org)=




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 6 Jan 2015 16:57:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 06 11:57:08 2015
Received: from localhost ([127.0.0.1]:38837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8XRM-00081Y-6I
	for submit <at> debbugs.gnu.org; Tue, 06 Jan 2015 11:57:08 -0500
Received: from alln-iport-3.cisco.com ([173.37.142.90]:5363)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1Y8XRJ-00081P-1c
 for 19370 <at> debbugs.gnu.org; Tue, 06 Jan 2015 11:57:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=974; q=dns/txt; s=iport;
 t=1420563424; x=1421773024;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-id:content-transfer-encoding: mime-version;
 bh=tpFQBNri3NzY/GDH0NH89xnauWPmYYwFKm8MM3YcBWk=;
 b=A+I0jSqI7ZvXzGcawzydj4RmWAyQdq2G8HUeCaoVFqv3sI/llR+udD/v
 9fAw1bNalFoE3F2V4NVrZwmRsE7/CSR6j8RckkGIy2LoERqpuhfebYazS
 gYDLweFJeJ1/4VgUTTMYiqHGBRLZ5ogYLjWIKoIJ0N8+ImhZ2MDGrmSbd 4=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AnEFAO4SrFStJA2G/2dsb2JhbABcgwZSWATGQYVzAoEOFgEBAQEBfYQNAQEDATo/EAIBCDYQMiUCBA4FiCQIDcFzAQEBAQEBAQEBAQEBAQEBAQEBARmMSAGCfDMHgxaBEwEEjiCIdYENjRODOSKCD4Ffb4FFfgEBAQ
X-IronPort-AV: E=Sophos;i="5.07,708,1413244800"; d="scan'208";a="110773056"
Received: from alln-core-12.cisco.com ([173.36.13.134])
 by alln-iport-3.cisco.com with ESMTP; 06 Jan 2015 16:57:04 +0000
Received: from xhc-aln-x12.cisco.com (xhc-aln-x12.cisco.com [173.36.12.86])
 by alln-core-12.cisco.com (8.14.5/8.14.5) with ESMTP id t06Gv39A029510
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL);
 Tue, 6 Jan 2015 16:57:04 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.179]) by
 xhc-aln-x12.cisco.com ([173.36.12.86]) with mapi id 14.03.0195.001; Tue, 6
 Jan 2015 10:57:03 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Topic: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Index: AQHQFv7E4UDO4OWtX0uX60WHlGozWJyXxFEAgAAEiICAAJalr4AEMb+AgBYDGACAAAs3AIAA40AAgAAGNACAAFEugA==
Date: Tue, 6 Jan 2015 16:57:03 +0000
Message-ID: <E8F893D2-4D64-4191-8D1E-CF91E55844C8@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,>
 <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
 <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
 <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
 <5E4017AA-BDB2-4D51-92C3-0ACAD5A61BFC@HIDDEN>
 <2F970EEE-E65C-4E95-96C9-2378EE348FD2@HIDDEN>
In-Reply-To: <2F970EEE-E65C-4E95-96C9-2378EE348FD2@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.117.133.231]
Content-Type: text/plain; charset="us-ascii"
Content-ID: <065346DAFD53FD46B4C957650EF079B9@HIDDEN>
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Jan 6, 2015, at 7:06 AM, Gary V. Vaughan <gary@HIDDEN> wrote:

>> Is this something that needs to be reported to the Autoconf devs, or is =
this already a known issue?
>=20
> I don't really follow Autoconf development these days, but there's certai=
nly no harm in reporting the issue upstream.  Worst case, it'll be marked a=
s a duplicate and count as an upvote on what needs fixing next.

Ok.

Sadly, however, your workaround was good enough for my toy example that I s=
ubmitted, but it did not fix the issue in the Open MPI project (i.e., I run=
 libtoolize .../LIBTOOLIZE=3Dtrue autoreconf ..., but aclocal still decides=
 to run in the libltdl directory, and Badness Ensues).

I'll have to investigate a little deeper and see what the difference is bet=
ween my toy project and what Open MPI is doing.

--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to: http://www.cisco.com/web/about/doing=
_business/legal/cri/





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 6 Jan 2015 12:06:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 06 07:06:37 2015
Received: from localhost ([127.0.0.1]:37978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8SuD-0007uR-7X
	for submit <at> debbugs.gnu.org; Tue, 06 Jan 2015 07:06:37 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:48175
 helo=homiemail-a12.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y8SuA-0007uI-Mg
 for 19370 <at> debbugs.gnu.org; Tue, 06 Jan 2015 07:06:35 -0500
Received: from homiemail-a12.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a12.g.dreamhost.com (Postfix) with ESMTP id E03F4103006C;
 Tue,  6 Jan 2015 04:06:33 -0800 (PST)
Received: from [192.168.1.4] (98.141.90.146.dyn.plus.net [146.90.141.98])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a12.g.dreamhost.com (Postfix) with ESMTPSA id 4F3291030063;
 Tue,  6 Jan 2015 04:06:33 -0800 (PST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.1 \(1993\))
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <5E4017AA-BDB2-4D51-92C3-0ACAD5A61BFC@HIDDEN>
Date: Tue, 6 Jan 2015 12:06:30 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <2F970EEE-E65C-4E95-96C9-2378EE348FD2@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,
 > <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
 <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
 <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
 <5E4017AA-BDB2-4D51-92C3-0ACAD5A61BFC@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Mailer: Apple Mail (2.1993)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Jeff,

On Jan 6, 2015, at 11:44 AM, Jeff Squyres (jsquyres) =
<jsquyres@HIDDEN> wrote:
>=20
> Is this something that needs to be reported to the Autoconf devs, or =
is this already a known issue?

I don't really follow Autoconf development these days, but there's =
certainly no harm in reporting the issue upstream.  Worst case, it'll be =
marked as a duplicate and count as an upvote on what needs fixing next.

Cheers,
--=20
Gary V. Vaughan (gary AT gnu DOT org)=




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 6 Jan 2015 11:44:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 06 06:44:24 2015
Received: from localhost ([127.0.0.1]:37967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8SYi-0007NS-0Q
	for submit <at> debbugs.gnu.org; Tue, 06 Jan 2015 06:44:24 -0500
Received: from rcdn-iport-2.cisco.com ([173.37.86.73]:54887)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1Y8SYe-0007NI-18
 for 19370 <at> debbugs.gnu.org; Tue, 06 Jan 2015 06:44:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=2972; q=dns/txt; s=iport;
 t=1420544659; x=1421754259;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-id:content-transfer-encoding: mime-version;
 bh=v7krKPRAU+u9DhlxRRooh9tFrLaTZICIRTP4txTOJCE=;
 b=VfLP3WpNwvxzo4SIf00QAPNkkOSYyMoeKJ6J2P/ZrXhvPSmhLWVEKjlg
 QjUDWIhvwoWI+gCO0ypdM2mdVLr8XyI5trV4q6QRiPzGiQwRcJD2jNXT7
 +ooqxY7bXN0l+NMtWvUVJpn4hCLlXAxRDZ6UqtU+cy88K5AoD96RpS8Gk Q=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AnEFABzKq1StJV2Y/2dsb2JhbABcgwZSWATGQIVzAoEPFgEBAQEBfYQNAQEDATo/BQsCAQg2EDIlAgQOBYgkCA3BSgEBAQEBAQEBAQEBAQEBAQEBAQEBAReMSAGCXgEBDQ8zB4MWgRMFjiCDQIU1gQ0wjGODOSKCD4Ffb4EFBxcifgEBAQ
X-IronPort-AV: E=Sophos;i="5.07,707,1413244800"; d="scan'208";a="385038268"
Received: from rcdn-core-1.cisco.com ([173.37.93.152])
 by rcdn-iport-2.cisco.com with ESMTP; 06 Jan 2015 11:44:18 +0000
Received: from xhc-aln-x08.cisco.com (xhc-aln-x08.cisco.com [173.36.12.82])
 by rcdn-core-1.cisco.com (8.14.5/8.14.5) with ESMTP id t06BiIYo030596
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL);
 Tue, 6 Jan 2015 11:44:18 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.179]) by
 xhc-aln-x08.cisco.com ([173.36.12.82]) with mapi id 14.03.0195.001; Tue, 6
 Jan 2015 05:44:18 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Topic: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Index: AQHQFv7E4UDO4OWtX0uX60WHlGozWJyXxFEAgAAEiICAAJalr4AEMb+AgBYDGACAAAs3AIAA40AA
Date: Tue, 6 Jan 2015 11:44:18 +0000
Message-ID: <5E4017AA-BDB2-4D51-92C3-0ACAD5A61BFC@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,>
 <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
 <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
 <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
In-Reply-To: <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.117.133.231]
Content-Type: text/plain; charset="us-ascii"
Content-ID: <54B01D14B1B87C418B3E00C8C8B20E4F@HIDDEN>
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Jan 5, 2015, at 5:10 PM, Gary V. Vaughan <gary@HIDDEN> wrote:

> A bummer indeed.  I suppose this may very well be fixed in autoconf maste=
r... though I'm too lazy to check :-)

:-)

Is this something that needs to be reported to the Autoconf devs, or is thi=
s already a known issue?

If it's not already a known issue, I'm guessing that Open MPI may not be th=
e only project to run into this bug once other projects start upgrading to =
LT 2.4.4 (although, admittedly, there may not be many that embed libltdl).

>> Just to be clear: you're saying that I should invoke libtoolize *before*=
 [snip]
>=20
> Pretty much, although without the LIBTOOLIZE=3Dtrue setting before callin=
g autoreconf, it will run wastefully run libtoolize a second time, which ma=
y or may not throw the timestamps out of sync again, depending how careful =
I was about preserving filestamps in generated files from the libtoolize co=
de when their content does not change.  I'd recommend keeping that setting,=
 just in case.

Ahhh... I see.  I thought that the mailer had munged your previous mail and=
 there were some quotes missing from your original suggestion.  Now I grok =
what you are suggesting: setting LIBTOOLIZE to effectively be a no-op so th=
at autoreconf won't *actually* invoke libtoolize again.  Got it.

> The crux of the matter is that if you run `aclocal -I m4` and then put mo=
re files that configure.ac calls out to into m4, then the next run of `aclo=
cal -I m4` necessarily generates a new and different aclocal.m4 (with m4_in=
cludes for the new files replacing verbatim copies of the /usr/share/acloca=
l contents).

Ok, I think I see.

> Another option you have, should you worry about maintaining your own auto=
gen.sh script to keep track of changes in upstream autotools dependencies a=
nd invocation ordering, is to use my bootstrap script (as used by libtool i=
tself and m4 among others, and maintained separately at http://github.com/g=
vvaughan/bootstrap).  This nicely future-proofs you against upstream change=
s, or addition of internationalization or gnulib to your projects.

That's a good suggestion; many thanks.

I'm a little hesitant to do it, however, simply because I'd prefer to get t=
he Autotools fixed correctly such that autoreconf works properly.  That's (=
supposedly) the officially-recommended Way Of Doing Things, and it should w=
ork.  Perhaps that's naive, but I'd like to stick with the Office Way as mu=
ch as possible.  As such, a 2-line workaround is much more attractive than =
a complicated non-office bootstrap script that we will potentially need to =
continually refresh from your github.

Make sense?

So I think the crux of this particular issue comes down to: do we need to r=
eport this to the Autoconf devs?

--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to: http://www.cisco.com/web/about/doing=
_business/legal/cri/





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 5 Jan 2015 22:11:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 05 17:11:05 2015
Received: from localhost ([127.0.0.1]:37847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8Frd-0002m4-6w
	for submit <at> debbugs.gnu.org; Mon, 05 Jan 2015 17:11:05 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:49858
 helo=homiemail-a23.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y8Fra-0002lv-IE
 for 19370 <at> debbugs.gnu.org; Mon, 05 Jan 2015 17:11:03 -0500
Received: from homiemail-a23.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a23.g.dreamhost.com (Postfix) with ESMTP id B498A4B006D;
 Mon,  5 Jan 2015 14:11:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=content-type
 :mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to; s=
 vaughan.pe; bh=qDq3DwNnyjN7j+6jfn/w5iNApWM=; b=ONqeQChlMu2QDW7X4
 nqw7o/uAVC+wgEw85NqV56mioZ+35JsEcesmNHzjC3haZcxA7y86R9r89j/ENkBD
 ClXDpGYSwjnInP97uuU3NKDiRJ+Wpy4a279ASg066G0FpPJK6SiANqanHf5Zawct
 WCRKDvAGD/yDdNd2Y504izSaGM=
Received: from [192.168.1.4] (89.88.208.46.dyn.plus.net [46.208.88.89])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a23.g.dreamhost.com (Postfix) with ESMTPSA id AABC84B0063;
 Mon,  5 Jan 2015 14:11:00 -0800 (PST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.1 \(1993\))
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
Date: Mon, 5 Jan 2015 22:10:56 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <374FCADC-BCFE-4E6B-B05E-BF9E29A1320E@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,
 > <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
 <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Mailer: Apple Mail (2.1993)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi Jeff,

On Jan 5, 2015, at 9:30 PM, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> =
wrote:
>=20
> On Dec 22, 2014, at 4:22 PM, Gary V. Vaughan <gary@HIDDEN> wrote:
>=20
>> Indeed it is.  And the problem is that autoreconf, as called from the =
autogen.sh in the tarball, still runs the tools in the wrong order.=20
>=20
> (first day back in the office today -- just seeing your reply now...)
>=20
> Ah!  Ok.
>=20
>> Autoreconf stupidly runs aclocal first, and then calls libtoolize =
which adds more m4 files to AC_CONFIG_MACRO_DIR, and that in turn causes =
aclocal.m4 to be out of date (because it needs to be regenerated to pick =
up the local versions of the libtoolize added m4 files added to =
../config/ after it was first generated).
>>=20
>> The bootstrap script in the libtool source tree fixes this (and many =
other problems with the autogen.sh/autoreconf approach), so if you care =
to write a bootstrap.conf (by copying and hacking nearly everything out =
of libtool-2.4.4/bootstrap.conf), things are then created in the right =
order and the bug disappears.
>=20
> That's a bummer.  We always thought that The Recommended Way to run =
the autootols was to use autoreconf.  Specifically: we used to have a =
magic incantation of a specific order of Autotools to bootstrap OMPI.  =
But that ordering was only "mostly" correct, meaning that upgrading =
Autotools sometimes broke it, because we didn't have the order exactly =
right...  My memory of the details is fuzzy here; I just remember it was =
a great relief when we trashed the whole thing and replaced it with a =
single invocation of autoreconf.

A bummer indeed.  I suppose this may very well be fixed in autoconf =
master... though I'm too lazy to check :-)

Getting the order right is a difficult error-prone process with hard to =
debug side-effects, so the fewer tools you have to invoke to do the =
bootstrap, the better.  And autoreconf is several fewer than =
aclocal/automake/autoconf, even though it calls libtoolize (and =
autopoint IIRC) too late! Of course, it gets out of hand fast when you =
have to run all the gettextize bits, and gnulib-tool and throw in some =
help2mans and the like :-(

>> Alternatively, you can amend your autogen.sh to something like this:
>>=20
>> libtoolize --install --copy --ltdl
>> LIBTOOLIZE=3Dtrue autoreconf -fvi
>=20
> Just to be clear: you're saying that I should invoke libtoolize =
*before* autoreconf, right?  (as opposed to appending those 2 lines at =
the end of my existing autogen.sh script)
>=20
> I'm pretty sure that's what you're saying, and indeed, if I make my =
autogen.sh be this:
>=20
> -----
> $ more autogen.sh
> #!/bin/sh
>=20
> libtoolize --install --copy --ltdl
> autoreconf -ivf --warnings=3Dall,no-obsolete,no-override -I config
> -----
>=20
> ...then the problem goes away.  Yay!

Pretty much, although without the LIBTOOLIZE=3Dtrue setting before =
calling autoreconf, it will run wastefully run libtoolize a second time, =
which may or may not throw the timestamps out of sync again, depending =
how careful I was about preserving filestamps in generated files from =
the libtoolize code when their content does not change.  I'd recommend =
keeping that setting, just in case.

The crux of the matter is that if you run `aclocal -I m4` and then put =
more files that configure.ac calls out to into m4, then the next run of =
`aclocal -I m4` necessarily generates a new and different aclocal.m4 =
(with m4_includes for the new files replacing verbatim copies of the =
/usr/share/aclocal contents).

>> If it worked for you in 2.4.2 in that order, then it was just a lucky =
combination of an empty local directory and installed versions of the =
macro files in the right place for aclocal.m4 to be valid on the initial =
too-early run.
>=20
> Ever since we switched to invoking a single autoreconf (which was a =
loooong time ago; I'd have to go spelunking through history to find out =
when it was done, but it was probably on the order of years ago), we've =
not invoked libtoolize before autoreconf.
>=20
> So just to be crystal clear: is the official guidance that we should =
run libtoolize and then autoreconf, and that should always work?

Well, I hesitate to dub my word as "official"... but this is what my =
bootstrap script (and the gnulib bootstrap script) have been doing as a =
work-around for autoreconf brokenness for several years a piece with =
less weirdness than the olden days of trusting autoreconf.

Another option you have, should you worry about maintaining your own =
autogen.sh script to keep track of changes in upstream autotools =
dependencies and invocation ordering, is to use my bootstrap script (as =
used by libtool itself and m4 among others, and maintained separately at =
http://github.com/gvvaughan/bootstrap).  This nicely future-proofs you =
against upstream changes, or addition of internationalization or gnulib =
to your projects.

>> In your original report, however, you said:
>>=20
>> "The problem appears to be that make is checking for ../m4/libtool.m4 =
file as a dependency.  This file file -- and the entire ../m4 directory, =
for that matter -- does not exist.  So make decides to fire the "run the =
aclocal" rule."
>>=20
>> ...which seems odd to me, because for a subproject libltdl, the =
parent AC_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be =
merged in.  Did you mean to say "../config/libtool.m4" above?  If that =
substitution really isn't happening, then you've found a different bug - =
but I can't reproduce that one with 2.4.3, 2.4.4 nor current master.
>=20
> I don't remember, and since you can't reproduce it, let's assume that =
I made a user error and I really did mean "../config/libtool.m4".  :-)

Agreed!

Cheers,
--=20
Gary V. Vaughan (gary AT gnu DOT org)=




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 5 Jan 2015 21:30:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 05 16:30:54 2015
Received: from localhost ([127.0.0.1]:37828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y8FEj-0001jK-Nv
	for submit <at> debbugs.gnu.org; Mon, 05 Jan 2015 16:30:54 -0500
Received: from alln-iport-7.cisco.com ([173.37.142.94]:2716)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1Y8FEg-0001jA-Kf
 for 19370 <at> debbugs.gnu.org; Mon, 05 Jan 2015 16:30:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=3756; q=dns/txt; s=iport;
 t=1420493450; x=1421703050;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-id:content-transfer-encoding: mime-version;
 bh=/c6OpOeANfWUR90Sm6MGut7Ahguo5Lj9NBNAjNp+lEg=;
 b=TIf+fjurhfRMZmAISxdluiTEBt89YqJB19i4JagtcjD9h0dsx8j0jdJu
 3CH3JDzJPZnaSyQmF83N2FhRN2WM3q6ifaAvdf3oVAAgm//6F+TnwP+4/
 IUF1vJgY6LeeLfyX/vlXlx8Bma8zxVnMaRM2DW532yJ3NL1Yk5V1ldX8E s=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApQJAK0Bq1StJV2d/2dsb2JhbABcgwZSWATGH4I4gzsCgQkWAQEBAQF9hA0BAQMBOj8FCwIBCDYQMiUCBA4FiCQIDb0sAQEBAQEBAQEBAQEBAQEBAQEBAQEBF4xHAYJtDzMHgxaBEwWOFYM/gX+DNYENMIxagzkigg+BX2+BBUB+AQEB
X-IronPort-AV: E=Sophos;i="5.07,702,1413244800"; d="scan'208";a="110532144"
Received: from rcdn-core-6.cisco.com ([173.37.93.157])
 by alln-iport-7.cisco.com with ESMTP; 05 Jan 2015 21:30:49 +0000
Received: from xhc-rcd-x14.cisco.com (xhc-rcd-x14.cisco.com [173.37.183.88])
 by rcdn-core-6.cisco.com (8.14.5/8.14.5) with ESMTP id t05LUnEC027315
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL);
 Mon, 5 Jan 2015 21:30:49 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.179]) by
 xhc-rcd-x14.cisco.com ([173.37.183.88]) with mapi id 14.03.0195.001; Mon, 5
 Jan 2015 15:30:49 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Topic: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Index: AQHQFv7E4UDO4OWtX0uX60WHlGozWJyXxFEAgAAEiICAAJalr4AEMb+AgBYDGAA=
Date: Mon, 5 Jan 2015 21:30:48 +0000
Message-ID: <BC699D6B-2355-46EC-A7F7-2039CBF90625@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,>
 <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
In-Reply-To: <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.117.133.231]
Content-Type: text/plain; charset="us-ascii"
Content-ID: <06E02AB39BFD6640960206333DC580BA@HIDDEN>
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Dec 22, 2014, at 4:22 PM, Gary V. Vaughan <gary@HIDDEN> wrote:

> Indeed it is.  And the problem is that autoreconf, as called from the aut=
ogen.sh in the tarball, still runs the tools in the wrong order.=20

(first day back in the office today -- just seeing your reply now...)

Ah!  Ok.

>  Autoreconf stupidly runs aclocal first, and then calls libtoolize which =
adds more m4 files to AC_CONFIG_MACRO_DIR, and that in turn causes aclocal.=
m4 to be out of date (because it needs to be regenerated to pick up the loc=
al versions of the libtoolize added m4 files added to ../config/ after it w=
as first generated).
>=20
> The bootstrap script in the libtool source tree fixes this (and many othe=
r problems with the autogen.sh/autoreconf approach), so if you care to writ=
e a bootstrap.conf (by copying and hacking nearly everything out of libtool=
-2.4.4/bootstrap.conf), things are then created in the right order and the =
bug disappears.

That's a bummer.  We always thought that The Recommended Way to run the aut=
ootols was to use autoreconf.  Specifically: we used to have a magic incant=
ation of a specific order of Autotools to bootstrap OMPI.  But that orderin=
g was only "mostly" correct, meaning that upgrading Autotools sometimes bro=
ke it, because we didn't have the order exactly right...  My memory of the =
details is fuzzy here; I just remember it was a great relief when we trashe=
d the whole thing and replaced it with a single invocation of autoreconf.

> Alternatively, you can amend your autogen.sh to something like this:
>=20
>  libtoolize --install --copy --ltdl
>  LIBTOOLIZE=3Dtrue autoreconf -fvi

Just to be clear: you're saying that I should invoke libtoolize *before* au=
toreconf, right?  (as opposed to appending those 2 lines at the end of my e=
xisting autogen.sh script)

I'm pretty sure that's what you're saying, and indeed, if I make my autogen=
.sh be this:

-----
$ more autogen.sh
#!/bin/sh

libtoolize --install --copy --ltdl
autoreconf -ivf --warnings=3Dall,no-obsolete,no-override -I config
-----

...then the problem goes away.  Yay!

> If it worked for you in 2.4.2 in that order, then it was just a lucky com=
bination of an empty local directory and installed versions of the macro fi=
les in the right place for aclocal.m4 to be valid on the initial too-early =
run.

Ever since we switched to invoking a single autoreconf (which was a loooong=
 time ago; I'd have to go spelunking through history to find out when it wa=
s done, but it was probably on the order of years ago), we've not invoked l=
ibtoolize before autoreconf.

So just to be crystal clear: is the official guidance that we should run li=
btoolize and then autoreconf, and that should always work?

> In your original report, however, you said:
>=20
> "The problem appears to be that make is checking for ../m4/libtool.m4 fil=
e as a dependency.  This file file -- and the entire ../m4 directory, for t=
hat matter -- does not exist.  So make decides to fire the "run the aclocal=
" rule."
>=20
> ...which seems odd to me, because for a subproject libltdl, the parent AC=
_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be merged in.  D=
id you mean to say "../config/libtool.m4" above?  If that substitution real=
ly isn't happening, then you've found a different bug - but I can't reprodu=
ce that one with 2.4.3, 2.4.4 nor current master.

I don't remember, and since you can't reproduce it, let's assume that I mad=
e a user error and I really did mean "../config/libtool.m4".  :-)

--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to: http://www.cisco.com/web/about/doing=
_business/legal/cri/





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 22 Dec 2014 23:41:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 22 18:41:07 2014
Received: from localhost ([127.0.0.1]:55373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y3Cb3-0002fi-AF
	for submit <at> debbugs.gnu.org; Mon, 22 Dec 2014 18:41:07 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:50338
 helo=homiemail-a19.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y3Cay-0002f8-Ei
 for 19370 <at> debbugs.gnu.org; Mon, 22 Dec 2014 18:41:01 -0500
Received: from homiemail-a19.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a19.g.dreamhost.com (Postfix) with ESMTP id AC6D4604061;
 Mon, 22 Dec 2014 15:40:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=content-type
 :mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to; s=
 vaughan.pe; bh=UseS1YWzrRa09aQq+2dgb9f2LCY=; b=hNUPeXQdsCwH7YQ/S
 kDFXcFIDRJtytaAcgnDzxQf090MggePbHlX3eRDlH96fqV57VCuZpV/SI36uB9hz
 QKQ2O/4iD1gXi8nGcxwK7RSYmy/youTdzF7h1MMxbPXaXEkBSs7yJ6ft6SogyBdX
 8outNnVEpNOjYmbRG6Bd1Len54=
Received: from [192.168.1.6] (148.190.125.91.dyn.plus.net [91.125.190.148])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a19.g.dreamhost.com (Postfix) with ESMTPSA id 08840604069;
 Mon, 22 Dec 2014 15:40:59 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
X-Mailer: iPad Mail (12B440)
In-Reply-To: <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
Date: Mon, 22 Dec 2014 23:41:01 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <F155FE59-1AD7-4C72-9A4D-B2BB7DAA0F65@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,
 > <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
 <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

close  19370
reopen 19730

Just in case 19730 was mistakenly closed by my fat fingers earlier  :-/
--=20
Gary V. Vaughan (gary AT vaughan DOT pe)

> On 22 Dec 2014, at 21:22, Gary V. Vaughan <gary@HIDDEN> wrote:
>=20
> tags 19370 notabug
> close 19730
>=20
> Hi Jeff,
>=20
> Sorry for the delay.
>=20
>> On Dec 20, 2014, at 11:18 AM, Jeff Squyres (jsquyres) <jsquyres@HIDDEN=
> wrote:
>>=20
>> Thanks for replying, Gary.
>=20
> Even though I didn't read the original report carefully enough...
>=20
>> I did include what analysis I was able to do in my first email: I tracked=
 down that the problem is that the "make" rules decide to invoke aclocal in t=
he embedded libltdl because it's looking for non-existent files as dependenc=
ies (it looks like the wrong path is being used somehow?).
>=20
> ...because you'd already included pretty much everything I asked for.
>=20
>> I didn't go beyond that - I don't know the internals of libtool (this is a=
 regression compared to 2.4.2).=20
>>=20
>> I also included a reproducer, both as a tarball and as a link to a github=
 repo.
>=20
> Perfect!  So, even though your tarball does reproduce the bug you describe=
, I first converted it to a new autotest to protect against future reappeara=
nce of the bug, only to discover that inside the testsuite everything works a=
s it should.  Hmm.
>=20
>> Hopefully that's enough to get you going in the right direction.
>=20
> Indeed it is.  And the problem is that autoreconf, as called from the auto=
gen.sh in the tarball, still runs the tools in the wrong order.  Autoreconf s=
tupidly runs aclocal first, and then calls libtoolize which adds more m4 fil=
es to AC_CONFIG_MACRO_DIR, and that in turn causes aclocal.m4 to be out of d=
ate (because it needs to be regenerated to pick up the local versions of the=
 libtoolize added m4 files added to ../config/ after it was first generated)=
.
>=20
> The bootstrap script in the libtool source tree fixes this (and many other=
 problems with the autogen.sh/autoreconf approach), so if you care to write a=
 bootstrap.conf (by copying and hacking nearly everything out of libtool-2.4=
.4/bootstrap.conf), things are then created in the right order and the bug d=
isappears.
>=20
> Alternatively, you can amend your autogen.sh to something like this:
>=20
>  libtoolize --install --copy --ltdl
>  LIBTOOLIZE=3Dtrue autoreconf -fvi
>=20
> If it worked for you in 2.4.2 in that order, then it was just a lucky comb=
ination of an empty local directory and installed versions of the macro file=
s in the right place for aclocal.m4 to be valid on the initial too-early run=
.
>=20
> In your original report, however, you said:
>=20
> "The problem appears to be that make is checking for ../m4/libtool.m4 file=
 as a dependency.  This file file -- and the entire ../m4 directory, for tha=
t matter -- does not exist.  So make decides to fire the "run the aclocal" r=
ule."
>=20
> ...which seems odd to me, because for a subproject libltdl, the parent AC_=
CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be merged in.  Did=
 you mean to say "../config/libtool.m4" above?  If that substitution really i=
sn't happening, then you've found a different bug - but I can't reproduce th=
at one with 2.4.3, 2.4.4 nor current master.
>=20
> HTH,
> --=20
> Gary V. Vaughan (gary AT vaughan DOT pe)
>=20
>> Sent from my phone. No type good.=20
>>=20
>>> On Dec 19, 2014, at 3:19 PM, Gary V. Vaughan <gary@HIDDEN> wrote:
>>>=20
>>> Hi Jeff,
>>>=20
>>> I'm sorry, I didn't yet have chance to work on this... I'll try to repro=
duce it over the holidays,
>>> and depending on whether that makes it obvious what's happening, a fix m=
ay or not be
>>> straight forward and forthcoming.
>>>=20
>>> It would certainly speed things along if you could help produce an analy=
sis, a small self
>>> contained reproducer, a test case and/or propose a patch.
>>>=20
>>> Sorry I can't be of more help for the moment,
>>> --=20
>>> Gary V. Vaughan (gary AT vaughan DOT pe)
>>>=20
>>>> On 19 Dec 2014, at 20:03, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> w=
rote:
>>>>=20
>>>> Any comments on this, perchance?
>>>>=20
>>>> It's a blocker for us in the Open MPI project; it prevents us from upgr=
ading from 2.4.2.
>>>>=20
>>>> It's a bit of a problem because some software projects, such as mac-por=
ts and home-brew are shipping LT >=3D 2.4.3.
>>>>=20
>>>>=20
>>>>> On Dec 13, 2014, at 1:01 PM, GNU bug Tracking System <help-debbugs@gnu=
.org> wrote:
>>>>>=20
>>>>> Thank you for filing a new bug report with debbugs.gnu.org.
>>>>>=20
>>>>> This is an automatically generated reply to let you know your message
>>>>> has been received.
>>>>>=20
>>>>> Your message is being forwarded to the package maintainers and other
>>>>> interested parties for their attention; they will reply in due course.=

>>>>>=20
>>>>> Your message has been sent to the package maintainer(s):
>>>>> bug-libtool@HIDDEN
>>>>>=20
>>>>> If you wish to submit further information on this problem, please
>>>>> send it to 19370 <at> debbugs.gnu.org.
>>>>>=20
>>>>> Please do not send mail to help-debbugs@HIDDEN unless you wish
>>>>> to report a problem with the Bug-tracking system.
>>>>>=20
>>>>> --=20
>>>>> 19370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D19370
>>>>> GNU Bug Tracking System
>>>>> Contact help-debbugs@HIDDEN with problems
>>>>=20
>>>>=20
>>>> --=20
>>>> Jeff Squyres
>>>> jsquyres@HIDDEN
>>>> For corporate legal information go to: http://www.cisco.com/web/about/d=
oing_business/legal/cri/
>>>>=20
>>>>=20
>>>>=20
>>>>=20
>>>> _______________________________________________
>>>> Bug-libtool mailing list
>>>> Bug-libtool@HIDDEN
>>>> https://lists.gnu.org/mailman/listinfo/bug-libtool
>>=20
>>=20
>>=20
>> _______________________________________________
>> Bug-libtool mailing list
>> Bug-libtool@HIDDEN
>> https://lists.gnu.org/mailman/listinfo/bug-libtool
>=20
>=20
>=20
>=20
> _______________________________________________
> Bug-libtool mailing list
> Bug-libtool@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-libtool




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 22 Dec 2014 21:22:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 22 16:22:10 2014
Received: from localhost ([127.0.0.1]:55308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y3AQb-0006Af-DX
	for submit <at> debbugs.gnu.org; Mon, 22 Dec 2014 16:22:10 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:48183
 helo=homiemail-a100.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y3AQX-0006AV-Uz
 for 19370 <at> debbugs.gnu.org; Mon, 22 Dec 2014 16:22:07 -0500
Received: from homiemail-a100.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTP id 287A631A07A;
 Mon, 22 Dec 2014 13:22:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=content-type
 :mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to; s=
 vaughan.pe; bh=Kbzfa21NnYl6mube86xh6F12oyU=; b=SsKDqJDwmuKXhSK8D
 c5CVlujy5UsVXowXQX90J8Vz31rQEBjg152+qKCPsO9SZZQyNZZZ0sVrENDMx7ot
 FSyxzJLOX0pciyrs5bdEJDFJeZvvehdjSQIMyFjFYusyjXCzk6TYMw5qJcpUZ/Wf
 w4yHmluR7AOaDvpFpi+4WAKkDM=
Received: from [192.168.1.3] (148.190.125.91.dyn.plus.net [91.125.190.148])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a100.g.dreamhost.com (Postfix) with ESMTPSA id F1F8A31A073;
 Mon, 22 Dec 2014 13:22:03 -0800 (PST)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.1 \(1993\))
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
In-Reply-To: <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
Date: Mon, 22 Dec 2014 21:22:01 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <3A545B26-93CA-493C-8853-A041F735BCD4@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN> <,
 > <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
 <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Mailer: Apple Mail (2.1993)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

tags 19370 notabug
close 19730

Hi Jeff,

Sorry for the delay.

On Dec 20, 2014, at 11:18 AM, Jeff Squyres (jsquyres) =
<jsquyres@HIDDEN> wrote:
>=20
> Thanks for replying, Gary.=20

Even though I didn't read the original report carefully enough...

> I did include what analysis I was able to do in my first email: I =
tracked down that the problem is that the "make" rules decide to invoke =
aclocal in the embedded libltdl because it's looking for non-existent =
files as dependencies (it looks like the wrong path is being used =
somehow?).

...because you'd already included pretty much everything I asked for.

> I didn't go beyond that - I don't know the internals of libtool (this =
is a regression compared to 2.4.2).=20
>=20
> I also included a reproducer, both as a tarball and as a link to a =
github repo.=20

Perfect!  So, even though your tarball does reproduce the bug you =
describe, I first converted it to a new autotest to protect against =
future reappearance of the bug, only to discover that inside the =
testsuite everything works as it should.  Hmm.

> Hopefully that's enough to get you going in the right direction.=20

Indeed it is.  And the problem is that autoreconf, as called from the =
autogen.sh in the tarball, still runs the tools in the wrong order.  =
Autoreconf stupidly runs aclocal first, and then calls libtoolize which =
adds more m4 files to AC_CONFIG_MACRO_DIR, and that in turn causes =
aclocal.m4 to be out of date (because it needs to be regenerated to pick =
up the local versions of the libtoolize added m4 files added to =
../config/ after it was first generated).

The bootstrap script in the libtool source tree fixes this (and many =
other problems with the autogen.sh/autoreconf approach), so if you care =
to write a bootstrap.conf (by copying and hacking nearly everything out =
of libtool-2.4.4/bootstrap.conf), things are then created in the right =
order and the bug disappears.

Alternatively, you can amend your autogen.sh to something like this:

  libtoolize --install --copy --ltdl
  LIBTOOLIZE=3Dtrue autoreconf -fvi

If it worked for you in 2.4.2 in that order, then it was just a lucky =
combination of an empty local directory and installed versions of the =
macro files in the right place for aclocal.m4 to be valid on the initial =
too-early run.

In your original report, however, you said:

"The problem appears to be that make is checking for ../m4/libtool.m4 =
file as a dependency.  This file file -- and the entire ../m4 directory, =
for that matter -- does not exist.  So make decides to fire the "run the =
aclocal" rule."

...which seems odd to me, because for a subproject libltdl, the parent =
AC_CONFIG_MACRO_DIR/ACLOCAL_AMFLAGS directory is supposed to be merged =
in.  Did you mean to say "../config/libtool.m4" above?  If that =
substitution really isn't happening, then you've found a different bug - =
but I can't reproduce that one with 2.4.3, 2.4.4 nor current master.

HTH,
--=20
Gary V. Vaughan (gary AT vaughan DOT pe)

> Sent from my phone. No type good.=20
>=20
>> On Dec 19, 2014, at 3:19 PM, Gary V. Vaughan <gary@HIDDEN> wrote:
>>=20
>> Hi Jeff,
>>=20
>> I'm sorry, I didn't yet have chance to work on this... I'll try to =
reproduce it over the holidays,
>> and depending on whether that makes it obvious what's happening, a =
fix may or not be
>> straight forward and forthcoming.
>>=20
>> It would certainly speed things along if you could help produce an =
analysis, a small self
>> contained reproducer, a test case and/or propose a patch.
>>=20
>> Sorry I can't be of more help for the moment,
>> --=20
>> Gary V. Vaughan (gary AT vaughan DOT pe)
>>=20
>>> On 19 Dec 2014, at 20:03, Jeff Squyres (jsquyres) =
<jsquyres@HIDDEN> wrote:
>>>=20
>>> Any comments on this, perchance?
>>>=20
>>> It's a blocker for us in the Open MPI project; it prevents us from =
upgrading from 2.4.2.
>>>=20
>>> It's a bit of a problem because some software projects, such as =
mac-ports and home-brew are shipping LT >=3D 2.4.3.
>>>=20
>>>=20
>>>> On Dec 13, 2014, at 1:01 PM, GNU bug Tracking System =
<help-debbugs@HIDDEN> wrote:
>>>>=20
>>>> Thank you for filing a new bug report with debbugs.gnu.org.
>>>>=20
>>>> This is an automatically generated reply to let you know your =
message
>>>> has been received.
>>>>=20
>>>> Your message is being forwarded to the package maintainers and =
other
>>>> interested parties for their attention; they will reply in due =
course.
>>>>=20
>>>> Your message has been sent to the package maintainer(s):
>>>> bug-libtool@HIDDEN
>>>>=20
>>>> If you wish to submit further information on this problem, please
>>>> send it to 19370 <at> debbugs.gnu.org.
>>>>=20
>>>> Please do not send mail to help-debbugs@HIDDEN unless you wish
>>>> to report a problem with the Bug-tracking system.
>>>>=20
>>>> --=20
>>>> 19370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D19370
>>>> GNU Bug Tracking System
>>>> Contact help-debbugs@HIDDEN with problems
>>>=20
>>>=20
>>> --=20
>>> Jeff Squyres
>>> jsquyres@HIDDEN
>>> For corporate legal information go to: =
http://www.cisco.com/web/about/doing_business/legal/cri/
>>>=20
>>>=20
>>>=20
>>>=20
>>> _______________________________________________
>>> Bug-libtool mailing list
>>> Bug-libtool@HIDDEN
>>> https://lists.gnu.org/mailman/listinfo/bug-libtool
>=20
>=20
>=20
> _______________________________________________
> Bug-libtool mailing list
> Bug-libtool@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-libtool





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 20 Dec 2014 11:19:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 20 06:19:00 2014
Received: from localhost ([127.0.0.1]:52165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y2I3o-00017g-0G
	for submit <at> debbugs.gnu.org; Sat, 20 Dec 2014 06:19:00 -0500
Received: from rcdn-iport-1.cisco.com ([173.37.86.72]:45987)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1Y2I3l-00017X-J3
 for 19370 <at> debbugs.gnu.org; Sat, 20 Dec 2014 06:18:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=2918; q=dns/txt; s=iport;
 t=1419074338; x=1420283938;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-transfer-encoding:mime-version;
 bh=6xNCwt5I2ZGufKi1hruQbdxQydK9rvMvNFWW1oWDrkQ=;
 b=nEaQu5mti/jgFJiKyrqVsmyli8n5VlUN1o3p2AM0BoZWUwLUBqTCJj9D
 Kw+QY+E0qCAhnfn43S8UzxQI40/2BV53aXAZXf8f2tKvz4Ki6CvyojXYu
 nZGu02YjX/DWQGd2bGtwBvmqhSo1wok1BnZh/oaYb6N8C2bdYB7t8l9zd s=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AlgFAAJalVStJV2Q/2dsb2JhbABbgwZSWMYkCoVwAoERFgEBAQEBfYQMAQEBAwEBAQE3NAsFCwIBCBgeECcBChQRAgQOBYgkCA3QIwEBAQEBAQEBAQEBAQEBAQEBAQEBAReMRAGCSxACAQ0PMweDFoETBYN9ihKDPoMeIoF0gQ0wgjOKIYM5IoIPgV9vAYEEgT4BAQE
X-IronPort-AV: E=Sophos;i="5.07,612,1413244800"; d="scan'208";a="378446139"
Received: from rcdn-core-8.cisco.com ([173.37.93.144])
 by rcdn-iport-1.cisco.com with ESMTP; 20 Dec 2014 11:18:57 +0000
Received: from xhc-aln-x13.cisco.com (xhc-aln-x13.cisco.com [173.36.12.87])
 by rcdn-core-8.cisco.com (8.14.5/8.14.5) with ESMTP id sBKBIuSp002590
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL);
 Sat, 20 Dec 2014 11:18:56 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.21]) by xhc-aln-x13.cisco.com
 ([173.36.12.87]) with mapi id 14.03.0195.001;
 Sat, 20 Dec 2014 05:18:56 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "Gary V. Vaughan" <gary@HIDDEN>
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Topic: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Index: AQHQFv7E4UDO4OWtX0uX60WHlGozWJyXxFEAgAAEiICAAJalrw==
Date: Sat, 20 Dec 2014 11:18:55 +0000
Message-ID: <4BF12A03-5DD0-4F73-919A-4FEC85E696EC@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>,
 <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
In-Reply-To: <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Thanks for replying, Gary.=20

I did include what analysis I was able to do in my first email: I tracked d=
own that the problem is that the "make" rules decide to invoke aclocal in t=
he embedded libltdl because it's looking for non-existent files as dependen=
cies (it looks like the wrong path is being used somehow?). I didn't go bey=
ond that - I don't know the internals of libtool (this is a regression comp=
ared to 2.4.2).=20

I also included a reproducer, both as a tarball and as a link to a github r=
epo.=20

Hopefully that's enough to get you going in the right direction.=20

Sent from my phone. No type good.=20

> On Dec 19, 2014, at 3:19 PM, Gary V. Vaughan <gary@HIDDEN> wrote:
>=20
> Hi Jeff,
>=20
> I'm sorry, I didn't yet have chance to work on this... I'll try to reprod=
uce it over the holidays,
> and depending on whether that makes it obvious what's happening, a fix ma=
y or not be
> straight forward and forthcoming.
>=20
> It would certainly speed things along if you could help produce an analys=
is, a small self
> contained reproducer, a test case and/or propose a patch.
>=20
> Sorry I can't be of more help for the moment,
> --=20
> Gary V. Vaughan (gary AT vaughan DOT pe)
>=20
>> On 19 Dec 2014, at 20:03, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> w=
rote:
>>=20
>> Any comments on this, perchance?
>>=20
>> It's a blocker for us in the Open MPI project; it prevents us from upgra=
ding from 2.4.2.
>>=20
>> It's a bit of a problem because some software projects, such as mac-port=
s and home-brew are shipping LT >=3D 2.4.3.
>>=20
>>=20
>>> On Dec 13, 2014, at 1:01 PM, GNU bug Tracking System <help-debbugs@gnu.=
org> wrote:
>>>=20
>>> Thank you for filing a new bug report with debbugs.gnu.org.
>>>=20
>>> This is an automatically generated reply to let you know your message
>>> has been received.
>>>=20
>>> Your message is being forwarded to the package maintainers and other
>>> interested parties for their attention; they will reply in due course.
>>>=20
>>> Your message has been sent to the package maintainer(s):
>>> bug-libtool@HIDDEN
>>>=20
>>> If you wish to submit further information on this problem, please
>>> send it to 19370 <at> debbugs.gnu.org.
>>>=20
>>> Please do not send mail to help-debbugs@HIDDEN unless you wish
>>> to report a problem with the Bug-tracking system.
>>>=20
>>> --=20
>>> 19370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D19370
>>> GNU Bug Tracking System
>>> Contact help-debbugs@HIDDEN with problems
>>=20
>>=20
>> --=20
>> Jeff Squyres
>> jsquyres@HIDDEN
>> For corporate legal information go to: http://www.cisco.com/web/about/do=
ing_business/legal/cri/
>>=20
>>=20
>>=20
>>=20
>> _______________________________________________
>> Bug-libtool mailing list
>> Bug-libtool@HIDDEN
>> https://lists.gnu.org/mailman/listinfo/bug-libtool




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 19 Dec 2014 20:19:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 19 15:19:52 2014
Received: from localhost ([127.0.0.1]:51842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y241f-00007L-DJ
	for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:19:51 -0500
Received: from sub3.mail.dreamhost.com ([69.163.253.7]:58968
 helo=homiemail-a18.g.dreamhost.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gary@HIDDEN>) id 1Y241c-000079-4i
 for 19370 <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:19:48 -0500
Received: from homiemail-a18.g.dreamhost.com (localhost [127.0.0.1])
 by homiemail-a18.g.dreamhost.com (Postfix) with ESMTP id 2CF0A250071;
 Fri, 19 Dec 2014 12:19:47 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=vaughan.pe; h=content-type
 :mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to; s=
 vaughan.pe; bh=9rKN6vArUQDmRjncj3SMfl/dpd4=; b=pulVwIUSJSuJjG1R5
 IshP/+c3p0dfweN1BtANiBcquoERovQ31Gfp1zjWGmmWh9Bllt0el7ZK48Cay6pI
 e9zEUJ9a++7k2w1ELEqoSW+/0pnUPSy9qHCNK7DH+x0rPyMyK3rMjUVmafhk0qC9
 XfZ4+EKPV8R/zY0XkGLy887IsY=
Received: from [192.168.1.6] (16.75.90.146.dyn.plus.net [146.90.75.16])
 (using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: gary@HIDDEN)
 by homiemail-a18.g.dreamhost.com (Postfix) with ESMTPSA id DBC5C250065;
 Fri, 19 Dec 2014 12:19:46 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
From: "Gary V. Vaughan" <gary@HIDDEN>
X-Mailer: iPad Mail (12B440)
In-Reply-To: <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>
Date: Fri, 19 Dec 2014 20:19:45 +0000
Content-Transfer-Encoding: quoted-printable
Message-Id: <BF7113DB-A8FE-4CB7-B200-AC352C760584@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
 <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>
To: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19370
Cc: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hi Jeff,

I'm sorry, I didn't yet have chance to work on this... I'll try to reproduce=
 it over the holidays,
and depending on whether that makes it obvious what's happening, a fix may o=
r not be
straight forward and forthcoming.

It would certainly speed things along if you could help produce an analysis,=
 a small self
contained reproducer, a test case and/or propose a patch.

Sorry I can't be of more help for the moment,
--=20
Gary V. Vaughan (gary AT vaughan DOT pe)

> On 19 Dec 2014, at 20:03, Jeff Squyres (jsquyres) <jsquyres@HIDDEN> wro=
te:
>=20
> Any comments on this, perchance?
>=20
> It's a blocker for us in the Open MPI project; it prevents us from upgradi=
ng from 2.4.2.
>=20
> It's a bit of a problem because some software projects, such as mac-ports a=
nd home-brew are shipping LT >=3D 2.4.3.
>=20
>=20
>> On Dec 13, 2014, at 1:01 PM, GNU bug Tracking System <help-debbugs@HIDDEN=
g> wrote:
>>=20
>> Thank you for filing a new bug report with debbugs.gnu.org.
>>=20
>> This is an automatically generated reply to let you know your message
>> has been received.
>>=20
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>>=20
>> Your message has been sent to the package maintainer(s):
>> bug-libtool@HIDDEN
>>=20
>> If you wish to submit further information on this problem, please
>> send it to 19370 <at> debbugs.gnu.org.
>>=20
>> Please do not send mail to help-debbugs@HIDDEN unless you wish
>> to report a problem with the Bug-tracking system.
>>=20
>> --=20
>> 19370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D19370
>> GNU Bug Tracking System
>> Contact help-debbugs@HIDDEN with problems
>=20
>=20
> --=20
> Jeff Squyres
> jsquyres@HIDDEN
> For corporate legal information go to: http://www.cisco.com/web/about/doin=
g_business/legal/cri/
>=20
>=20
>=20
>=20
> _______________________________________________
> Bug-libtool mailing list
> Bug-libtool@HIDDEN
> https://lists.gnu.org/mailman/listinfo/bug-libtool




Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at 19370 <at> debbugs.gnu.org:


Received: (at 19370) by debbugs.gnu.org; 19 Dec 2014 20:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 19 15:03:34 2014
Received: from localhost ([127.0.0.1]:51829 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Y23lu-00089L-Bl
	for submit <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:03:34 -0500
Received: from alln-iport-4.cisco.com ([173.37.142.91]:25837)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1Y23lr-00089C-N6
 for 19370 <at> debbugs.gnu.org; Fri, 19 Dec 2014 15:03:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=1283; q=dns/txt; s=iport;
 t=1419019411; x=1420229011;
 h=from:to:subject:date:message-id:references:in-reply-to:
 content-id:content-transfer-encoding:mime-version;
 bh=zzxLGhdztOCU/k6waUC538sLzIoxdugyDjG5Pz/1AHQ=;
 b=mJi6Xbt1YpDyuLnmtK70Q9/o1E3cfYEVHdeUltNm1B6fZWO0Pwr78+PS
 ftdqTcM5A+CG6UDe6wnbxA+Rx5i67cuAnECpnHdIxev7ECpU1oPZ3aYGd
 Ly/qEtcBvXojYLoioLaPXz4m8pyD4ZG+PTTZweV4P5JUvN51kJPJQ9uBO o=;
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ak8FAFaDlFStJA2K/2dsb2JhbABagwZSWATGJoVxAoEbFgEBAQEBfYQNAQEDATpECwIBCDYQMhQRAgQTiCQIDdEGAQEBAQEBAQECAQEBAQEBAQEBAQEXjEQBglwBAQ0POoMWgRMFg3uKEoM+g0CBdIENMIIyiiCDOSKCD4FfbwGBBAcXIn4BAQE
X-IronPort-AV: E=Sophos;i="5.07,608,1413244800"; d="scan'208";a="107041575"
Received: from alln-core-5.cisco.com ([173.36.13.138])
 by alln-iport-4.cisco.com with ESMTP; 19 Dec 2014 20:03:30 +0000
Received: from xhc-rcd-x08.cisco.com (xhc-rcd-x08.cisco.com [173.37.183.82])
 by alln-core-5.cisco.com (8.14.5/8.14.5) with ESMTP id sBJK3UXU032536
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL)
 for <19370 <at> debbugs.gnu.org>; Fri, 19 Dec 2014 20:03:30 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.21]) by xhc-rcd-x08.cisco.com
 ([173.37.183.82]) with mapi id 14.03.0195.001;
 Fri, 19 Dec 2014 14:03:30 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "19370 <at> debbugs.gnu.org" <19370 <at> debbugs.gnu.org>
Subject: Re: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Topic: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))
Thread-Index: AQHQFv7E4UDO4OWtX0uX60WHlGozWJyXxFEA
Date: Fri, 19 Dec 2014 20:03:30 +0000
Message-ID: <EE4F07D2-0472-478D-8BEE-7C58D2C10FBA@HIDDEN>
References: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
 <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.19370.B.14184936241937.ack <at> debbugs.gnu.org>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [10.117.133.233]
Content-Type: text/plain; charset="us-ascii"
Content-ID: <98F402F7246A7348BC5C773220029430@HIDDEN>
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 19370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Any comments on this, perchance?

It's a blocker for us in the Open MPI project; it prevents us from upgradin=
g from 2.4.2.

It's a bit of a problem because some software projects, such as mac-ports a=
nd home-brew are shipping LT >=3D 2.4.3.


On Dec 13, 2014, at 1:01 PM, GNU bug Tracking System <help-debbugs@HIDDEN>=
 wrote:

> Thank you for filing a new bug report with debbugs.gnu.org.
>=20
> This is an automatically generated reply to let you know your message
> has been received.
>=20
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>=20
> Your message has been sent to the package maintainer(s):
> bug-libtool@HIDDEN
>=20
> If you wish to submit further information on this problem, please
> send it to 19370 <at> debbugs.gnu.org.
>=20
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.
>=20
> --=20
> 19370: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D19370
> GNU Bug Tracking System
> Contact help-debbugs@HIDDEN with problems


--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to: http://www.cisco.com/web/about/doing=
_business/legal/cri/





Information forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Dec 2014 18:00:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 13 13:00:24 2014
Received: from localhost ([127.0.0.1]:44995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XzqzO-0000VA-Ul
	for submit <at> debbugs.gnu.org; Sat, 13 Dec 2014 13:00:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:44550)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jsquyres@HIDDEN>) id 1XzqzL-0000Up-TB
 for submit <at> debbugs.gnu.org; Sat, 13 Dec 2014 13:00:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsquyres@HIDDEN>) id 1XzqzA-0003Kq-As
 for submit <at> debbugs.gnu.org; Sat, 13 Dec 2014 13:00:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47941)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jsquyres@HIDDEN>) id 1XzqzA-0003Km-7y
 for submit <at> debbugs.gnu.org; Sat, 13 Dec 2014 13:00:08 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46243)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jsquyres@HIDDEN>) id 1Xzqz4-00040o-I9
 for bug-libtool@HIDDEN; Sat, 13 Dec 2014 13:00:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jsquyres@HIDDEN>) id 1Xzqyy-00034c-2m
 for bug-libtool@HIDDEN; Sat, 13 Dec 2014 13:00:02 -0500
Received: from rcdn-iport-6.cisco.com ([173.37.86.77]:29915)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jsquyres@HIDDEN>) id 1Xzqyx-00031Y-Qq
 for bug-libtool@HIDDEN; Sat, 13 Dec 2014 12:59:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple;
 d=cisco.com; i=@cisco.com; l=3147; q=dns/txt; s=iport;
 t=1418493595; x=1419703195;
 h=from:to:subject:date:message-id:mime-version;
 bh=+2GQVsing47fP8drvaVz+C1VRdxmdztHUPmo2h9WNf0=;
 b=a4MpxqVBpKR5yntV5LW2iExNKfwNRL3DeISTBA+odJOUodaZgMHipWv9
 eo7HCUfZwjA0tXWdKXpTnU47p4JR1xY03V5IbdQE3tIAjRP1KIlTagxTv
 AVRz+uEc02p7DWQf0yG0Q3joVYENA/lgvnsEVPQ5oI5lx3NR5dRhdsHR7 o=;
X-Files: libtool-2.4.4-bug.tar.bz2 : 623
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AkoFALN9jFStJV2Q/2dsb2JhbABZgwZSWATGDYcFFgEBAQEBfYQTgQsBUDAnBBMOiB4NsTilLQEBAQEBAQEBAgEBAQEBAQEBAQEYjEQBgmuDX4ETBYwsgVaBSoEnTYUxgTuPfCKCDoFebgGBBEB+AQEB
X-IronPort-AV: E=Sophos;i="5.07,572,1413244800"; 
 d="ac'?bz2'66?scan'66,208,49,66?am'66,208,49,66?sh'66,208,49,66?txt'66,208,49,66";
 a="380193704"
Received: from rcdn-core-8.cisco.com ([173.37.93.144])
 by rcdn-iport-6.cisco.com with ESMTP; 13 Dec 2014 17:59:53 +0000
Received: from xhc-rcd-x13.cisco.com (xhc-rcd-x13.cisco.com [173.37.183.87])
 by rcdn-core-8.cisco.com (8.14.5/8.14.5) with ESMTP id sBDHxrJu024180
 (version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=FAIL)
 for <bug-libtool@HIDDEN>; Sat, 13 Dec 2014 17:59:53 GMT
Received: from xmb-rcd-x01.cisco.com ([169.254.1.39]) by xhc-rcd-x13.cisco.com
 ([173.37.183.87]) with mapi id 14.03.0195.001;
 Sat, 13 Dec 2014 11:59:53 -0600
From: "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>
To: "bug-libtool@HIDDEN" <bug-libtool@HIDDEN>
Subject: LT 2.4.4 regression (vs. 2.4.2)
Thread-Topic: LT 2.4.4 regression (vs. 2.4.2)
Thread-Index: AQHQFv6Yj408vPLTR0aHc317Kgyacg==
Date: Sat, 13 Dec 2014 17:59:52 +0000
Message-ID: <6ED50E96-ACF6-41A2-98A5-1AE68D1833FE@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-originating-ip: [10.117.133.233]
Content-Type: multipart/mixed;
 boundary="_002_6ED50E96ACF641A298A51AE68D1833FEciscocom_"
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--_002_6ED50E96ACF641A298A51AE68D1833FEciscocom_
Content-Type: text/plain; charset="us-ascii"
Content-ID: <187D52BBD27D68459C837184114ECDB7@HIDDEN>
Content-Transfer-Encoding: quoted-printable

I have found what appears to be a regression in Libtool 2.4.4 vs. 2.4.2 (I =
did not test 2.4.3).

When embedding LT 2.4.4 libltdl in a larger project, the first time you inv=
oke any "make" target (e.g., even "make clean"), "make" decides to run aclo=
cal in the embedded libltdl directory.

This did not happen in LT 2.4.2 and earlier.

This behavior causes other problems in the Open MPI project, but I think th=
e fact that "make" decides to invoke aclocal at all is the root cause.

Attached is a simple reproducer (if the tarball doesn't make it through ant=
i-virus scanners, the same source is on github: https://github.com/jsquyres=
/libtool-2.4.4-bug):

- untar it
- run "./autogen.sh" (which runs autoreconf)
- run "./configure"
- run "make clean"

You'll see aclocal invoked in the embedded-libltdl directory.

The problem appears to be that make is checking for ../m4/libtool.m4 file a=
s a dependency.  This file file -- and the entire ../m4 directory, for that=
 matter -- does not exist.  So make decides to fire the "run the aclocal" r=
ule.

In LT 2.4.2, make appears to check for m4/libtool.m4 (note the lack of ../)=
, and somehow decides that even though this directory/file does not exist, =
it does not need to fire the "run the aclocal" rule.

Can someone have a look at this?  This behavior is preventing the Open MPI =
project from upgrading beyond Libtool 2.4.2.

Thank you!

--=20
Jeff Squyres
jsquyres@HIDDEN
For corporate legal information go to: http://www.cisco.com/web/about/doing=
_business/legal/cri/

--_002_6ED50E96ACF641A298A51AE68D1833FEciscocom_
Content-Type: application/x-bzip2; name="libtool-2.4.4-bug.tar.bz2"
Content-Description: libtool-2.4.4-bug.tar.bz2
Content-Disposition: attachment; filename="libtool-2.4.4-bug.tar.bz2";
	size=623; creation-date="Sat, 13 Dec 2014 17:59:52 GMT";
	modification-date="Sat, 13 Dec 2014 17:59:52 GMT"
Content-ID: <7AF7688CC207FB46A2879C3CF9C5DFF2@HIDDEN>
Content-Transfer-Encoding: base64

QlpoOTFBWSZTWfSQslQAAhv/h8aQBABoZ//SP6/eSv///+ACCCAAEAAACEACOSbSghJJAp5I09T1
NND1PSGj1DRoaDIMj0QPUMgEohpNNAKbQU9TTT9KeoB6geptQANAZqDQSRITJpBo/VBo/VAHqANB
kAGgAAOGmmRiMJpgIYBNMIwTEyGmRoaDzF6c2LsyyIXj+KRYzjDJA1sEhaEmZqLwpCmdEJkxdeRX
BhUgoiZADi45eHdCSsi91mTMw0YpBfAqqmfFi4F03NWK9G+97M6n8km78DhxkLbMwtSSZwm3BNmL
Jf0b8IugUaz17Fk625mwMEF+UL3ECDBZy4efrsBWhMhhNfYVQow4RcF8UyMWCkVGjbSNITSRAUzt
U4q2wvPQ4PcBOKcULgrQq6pxRGtQHzElJyJS8e5GEfYjRorcJFIiMJEOmfD471fYc3oRZp3PIyJO
cqOc86qAghw5WVzKiALoRBpwwuBh0m27KoBIN92AUj1eYsnRF0eds5BMw5HOThIurFj2OgFFPR49
y8Hvy0ZtxiOW+36szNlAfBdQnksITxe0YxYqppbuEdWZ8bhXhSFc7FmxRQWE4eFH5FofmeCGDQPg
5Pw46lidRxGITnt57P5MWgEr5H4ok8CqkNIiqaWfFeBmJEqgK6Pygyhy4wv5Nd2QnETlI2DCO3aX
mYcrqT+nX17yNU85gPniOWODiCI92fiQ1Zy/VFhMiPMgMJoXWslo2bcKQTAS45q5YL0gl9GuTKCY
7LcrdoJaJq799l+AmgH21FNQiyx03TiBf/hKj+BT2paZ5XW5pdrXBUoA/xdyRThQkPSQslQ=

--_002_6ED50E96ACF641A298A51AE68D1833FEciscocom_--




Acknowledgement sent to "Jeff Squyres (jsquyres)" <jsquyres@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#19370; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Jan 2015 12:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.